# MLPackageManager
## _A Comprehensive Package for Automated Machine Learning_
[![scikit-learn](https://github.com/CyrilleMesue/archives/blob/main/images/mlpack.png?raw=true)](https://scikit-learn.org/stable/)

**Project Overview:**
The goal of this project is to create an end-to-end machine learning pipeline capable of handling data ingestion, transformation, model training, and evaluation for both regression and classification tasks. Additionally, a user-friendly web application has been developed to facilitate predictions based on the trained models. The entire pipeline has been deployed to ensure accessibility and scalability.

Dillinger is a cloud-enabled, mobile-ready, offline-storage compatible,
AngularJS-powered HTML5 Markdown editor.

## Installation

Dillinger requires [Node.js](https://nodejs.org/) v10+ to run.

Install the dependencies and devDependencies and start the server.

```sh
cd dillinger
npm i
node app
```


## Tutorials

Want to contribute? Great!

```sh
node app
```

## License
MIT
**Free Software, Hell Yeah!**




**Solution Components:**
1. **Data Ingestion Pipeline:**
   - Responsible for ingesting data from various sources and formats.
   - Implements data validation, integrity checks, and cleaning processes to ensure data quality.
2. **Data Transformation Module:**
   - Provides a flexible environment for transforming raw data into a format suitable for model training.
   - Incorporates feature engineering techniques, data scaling, encoding, and normalization.
3. **Model Training and Evaluation Pipeline:**
   - Implements machine learning algorithms suitable for regression and classification tasks.
   - Designs a pipeline for model training, hyperparameter tuning, and cross-validation.
4. **Web Application Development:**
   - Developed a user-friendly web application using Flask for model predictions.
   - Deployed the application on Azure Web Apps.
   - Implemented monitoring, logging, and security measures to ensure reliability and data integrity.
   - Enabled Continuous Integration through Github actions.
- Install dependencies using
```
$ pip install -r requirements.txt
```
- Run app
```
$ python application.py
```


### Contributors 
<table>
  <tr>
    <td align="center"><a href="https://github.com/CyrilleMesue"><img src="https://avatars.githubusercontent.com/CyrilleMesue" width="100px;" alt=""/><br /><sub><b>Cyrille M. NJUME</b></sub></a><br /></td>
  </tr>
</table>

### References 

[1] krishnaik06: [https://github.com/krishnaik06/mlproject](https://github.com/krishnaik06/mlproject)

### Contact

For any feedback or queries, please reach out to [cyrillemesue@gmail.com](mailto:cyrillemesue@gmail.com).

